% Generated by roxygen2 (4.0.1): do not edit by hand
\name{list.group}
\alias{list.group}
\title{Group a list by the value of an expression evaluated for each member.}
\usage{
list.group(x, key, keep.group.names = TRUE, keep.item.names = TRUE)
}
\arguments{
\item{x}{The list to group}

\item{key}{An expression that determines the key of the group}

\item{keep.group.names}{Whether to keep the names of the groups}

\item{keep.item.names}{Whether to keep the names of the items in the result}
}
\description{
Group a list by the value of an expression evaluated for each member.
}
\examples{
\dontrun{
x <- list(p1 = list(type="A",score=list(c1=10,c2=8)),
       p2 = list(type="B",score=list(c1=9,c2=9)),
       p3 = list(type="B",score=list(c1=9,c2=7)))
list.group(x,type)
list.group(x,mean(unlist(score)))
}
}

